import gevent.monkey
gevent.monkey.patch_all()
import random
import requests
import time
from xml.etree import ElementTree

from locust import HttpUser, task, between

cache_list = [
    'cache/ows/wmts?layer=Emergency__TRUE_COLOR&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=8&TileCol=273&TileRow=64&time=2019-01-01T00%3A00%3A00Z%2F2019-12-31T23%3A59%3A59Z',
    'cache/ows/wmts?layer=Emergency__TRUE_COLOR&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=9&TileCol=546&TileRow=130&time=2019-01-01T00%3A00%3A00Z%2F2019-12-31T23%3A59%3A59Z',
    'cache/ows/wmts?layer=Emergency__TRUE_COLOR&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=8&TileCol=255&TileRow=52&time=2019-01-01T00%3A00%3A00Z%2F2019-12-31T23%3A59%3A59Z',
    'cache/ows/wmts?layer=Emergency__TRUE_COLOR&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=10&TileCol=1022&TileRow=209&time=2019-01-01T00%3A00%3A00Z%2F2019-12-31T23%3A59%3A59Z',
    'cache/ows/wmts?layer=Emergency__TRUE_COLOR&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=13&TileCol=8169&TileRow=1679&time=2019-01-01T00%3A00%3A00Z%2F2019-12-31T23%3A59%3A59Z'

]



class QuickstartUser(HttpUser):


    wait_time = between(0, 0)

    @task(3)
    def view_item(self):
       item_id = random.randint(0, len(cache_list)-1)
       item = cache_list[item_id]
       # replace the strings 'username' and 'Password' with the pdas/vs credintials 

       self.client.get(f"{item}", auth=( 'username', 'Password'))
    
