import gevent.monkey
gevent.monkey.patch_all()
import random
import requests
import time
from xml.etree import ElementTree

from locust import HttpUser, task, between

cache_list = [
'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=VHR_IMAGE_2018_Level_3__TRUE_COLOR&height=75&width=100&version=1.3.0&BBOX=43.390604%2C17.783908%2C43.495996%2C17.923991&TRANSPARENT=true&time=2018-08-04T10:03:49Z',
'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=VHR_IMAGE_2018_Level_3__TRUE_COLOR&height=75&width=100&version=1.3.0&BBOX=43.348728,17.800389,43.352555,17.810222&TRANSPARENT=true&time=2018-08-04T10:03:49Z',
'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=VHR_IMAGE_2018_Level_3__TRUE_COLOR&height=75&width=100&version=1.3.0&BBOX=43.347999,17.758611,43.351826,17.768444&TRANSPARENT=true&time=2018-08-04T10:03:49Z',
'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=VHR_IMAGE_2018_Level_3__TRUE_COLOR&height=75&width=100&version=1.3.0&BBOX=43.526864,17.517357,43.557381,17.596021&TRANSPARENT=true&time=2018-08-04T10:03:49Z'
]



class QuickstartUser(HttpUser):


    wait_time = between(0, 0)

    @task(3)
    def view_item(self):
       item_id = random.randint(0, len(cache_list)-1)
       item = cache_list[item_id]
       # replace the strings 'username' and 'Password' with the pdas/vs credintials 

       self.client.get(f"{item}", auth=( 'username', 'Password'))
    


