#!/bin/sh

echo "Running preprocessor"
debug="--no-debug"
if test "$PREPROCESSOR_DEBUG" = true; then
    debug="--debug"
fi

preprocessor daemon \
    --config-file /config.yaml \
    --host ${REDIS_HOST} \
    --port ${REDIS_PORT} \
    --listen-queue ${REDIS_PREPROCESS_QUEUE_KEY} \
    --listen-md-queue ${REDIS_PREPROCESS_MD_QUEUE_KEY} \
    --write-queue ${REDIS_REGISTER_QUEUE_KEY} \
    --progress-set ${REDIS_PREPROCESS_PROGRESS_KEY} \
    --failure-set ${REDIS_PREPROCESS_FAILURE_KEY} \
    --success-set ${REDIS_PREPROCESS_SUCCESS_KEY} \
    ${debug}
